Bug 175311 - [RHEL4] No easily obvious way to import a webcal
[RHEL4] No easily obvious way to import a webcal
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
4.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 14:14 EST by Suzanne Hillman
Modified: 2008-02-03 02:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 02:33:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2005-12-08 14:14:08 EST
Description of problem:
The 'import' dialog doesn't allow one to import a webcal. One has to either go
to the webcal in question, allowing the URL handler to do it, or use the New
Calendar dialog. I tend to expect externally added things to need importing, not
the creation of a new one, so the current method of adding a webcal from within
Evo seems counterintuitive.

Version-Release number of selected component (if applicable):
evolution-2.0.2-25

How reproducible:
Always.

Steps to Reproduce:
1. Go to File -> Import
2. Try to figure out how to import something URL-based.
Comment 2 Dave Malcolm 2005-12-20 22:54:29 EST
I believe the normal usage for a web calendar is to subscribe to it (i.e. to
store the URL and to show it in read-only form, based on regular polling).

The other things in File->Import work by inserting a copy of the data into the
user's local data (calendar, contacts, mail etc).

So I'm not sure that File->Import is a good fit for a web URL to a calendar.  If
you click on one in a browser (assuming you have evolution-webcal installed),
you should get a sane UI.

We could update the File->Import dialog so it can take URLs, but it would be
taking a one-time snapshot of the calendar data, rather than making a link to it.

Is this a real problem?  Does something sane happen if you enter the URL into
the web browser? (assuming evolution-webcal is installed, which it should be on
a regular Desktop install)
Comment 3 Suzanne Hillman 2005-12-21 10:08:55 EST
If you enter a webcal URL into a browser, it does the right thing.

The reason I entered this bug is because I would tend to expect there to be
consistency in how one pulls outside data into one's calendar (and other such
things), as it makes it harder to remember what steps one has to take in order
to do things, otherwise.

Big problem? Probably not. But causing people to have to remember that there are
multiple ways to bring in outside data is not particularly kind. _Having_ lots
of different methods is fine, but making it easier to get to those methods is
good, too.
Comment 5 Matthew Barnes 2008-02-03 02:33:01 EST
Evolution 2.0.2 is only being updated for security issues.  Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.